## com.google.gwt.i18n.rebind.keygen
Class MethodNameKeyGenerator

    java.lang.Object
      com.google.gwt.i18n.rebind.keygen.MethodNameKeyGenerator

All Implemented Interfaces:
  KeyGenerator

    public class MethodNameKeyGenerator

extends java.lang.Object
implements KeyGenerator

Key generator using just the method name as the lookup key. Note: this is prone to collisions if multiple Messages classes are aggregated for translation, and is therefore only recommended for simple 1:1 uses.

Constructor Summary
`MethodNameKeyGenerator()`

Method Summary
`java.lang.String` | `generateKey(java.lang.String className, java.lang.String methodName, java.lang.String text, java.lang.String meaning)` Generates a key for a given method with its default text and meaning.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodNameKeyGenerator

    public MethodNameKeyGenerator()

Method Detail

### generateKey

    public java.lang.String generateKey(java.lang.String className,
                                        java.lang.String methodName,
                                        java.lang.String text,
                                        java.lang.String meaning)

  Description copied from interface: `KeyGenerator`
  Generates a key for a given method with its default text and meaning.

  Specified by:
    `generateKey` in interface `KeyGenerator`
  Parameters:
    `className` - fully qualified name of the Messages/Constants subinterface
    `methodName` - name of the method in the subinterface
    `text` - default text to use if no translation is available, which may be null if no default text is supplied
    `meaning` - extra text explaining the meaning of the text, or null if not needed
  Returns:
    the lookup key as a string or null if the key cannot be computed (for example, if text is null but this generator requires it)